/*******************************************************************************
 * Copyright 2008, 2011 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package magma.agent.action.impl;

/**
 * Implementation of the SimSpark "init" effector, used to initialize a
 * connection
 * 
 * @author Klaus Dorer
 */
public class InitEffector extends Effector
{
	/** the number of this player in the game */
	private final int number;

	private final String teamname;

	/**
	 * Instantiates a new InitEffector
	 * 
	 * @param teamname Team name
	 * @param number Player number
	 */
	public InitEffector(String teamname, int number)
	{
		super("init");

		this.teamname = teamname;
		this.number = number;
	}

	/**
	 * Retrieve the Player number
	 * 
	 * @return Player number
	 */
	public int getNumber()
	{
		return number;
	}

	@Override
	public String getMessageString()
	{
		String msg;
		msg = "(init (unum " + number + ")(teamname " + teamname + "))";
		return msg;
	}
}
