/*******************************************************************************
 * Copyright 2008, 2011 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/

package magma.agent.behavior;

/**
 * @author sturmflut
 */
@SuppressWarnings("all")
public interface IBehaviorConstants
{
	// General Behaviors
	static final String NONE = "none";

	static final String STOP = "stop";

	static final String BEAM_TO_POSITION = "beamToPosition";

	static final String BEAM_HOME = "beamHome";

	static final String GET_READY = "getReady";

	// Say behaviors
	static final String SAY_POSITIONS_BEHAVIOR = "sayPositions";

	// Get Up behaviors
	static final String MOVE_ARM_TO_FALL_BACK = "moveArmToFallBack";

	static final String GET_UP_BACK = "getUpBack";

	static final String GET_UP_FRONT = "getUpFront";

	// Keep behaviors
	static final String KEEP_LEFT = "keepLeft";

	static final String KEEP_RIGHT = "keepRight";

	static final String KEEP = "keep";

	// Shoot behaviors
	static final String SHOOT_STRAIGHT = "shootStraight";

	static final String SHOOT_BACK = "shootBack";

	static final String SHOOT_BACK_PULL = "shootBackPull";

	static final String SHOOT_SIDE_LEFT = "shootSideLeft";

	static final String SHOOT_SIDE_RIGHT = "shootSideRight";

	// Celebrate/despair behaviors
	static final String WIN = "Win";

	static final String LOOSE = "Loose";

	// Movement behaviors

	static final String WALK = "Walk";

	static final String BALANCE = "Balance";

	static final String WALKFORWARD = "WalkForward";

	static final String WALKSIDEWARD = "WalkSideward";

	static final String WALKTURNING = "WalkTurning";

	static final String RUN_TO_POSITION = "runToPosition";

	// Positioning behaviors
	static final String ATTACK = "attack";

	static final String GOALIE_POSITIONING = "goaliePositioning";

	static final String MOVE_WITH_BALL = "moveWithBall";

	// Vision control behavior
	static final String TURN_HEAD = "turnHead";

	static final String FOCUS_BALL = "FocusBall";

	// Unsorted behaviors

	// static final String COLLAPSE_BACK_BEHAVIOR = "collapseBack";

	// static final String FALL_FORWARD = "fallForward";

	// static final String DANCE1_BEHAVIOR = "dance1";

	// static final String GET_UP_BEHAVIOR = "getUp";

	// static final String TURN_AROUND_BEHAVIOR = "turnAround";

	// static final String STANDARD_POSITION = "standardPosition";

	// static final String SIMPLE_KICK_RIGHT = "simpleKickRight";

	// static final String KICK_RIGHT = "kickRight";

	static final String SIDE_KICK_RIGHT = "sideKickRight";

	static final String SIDE_KICK_LEFT = "sideKickLeft";

	// static final String TURN = "turn";

	// static final String TURN_LEFT = "turnLeft";

	// static final String TURN_RIGHT = "turnRight";

	// static final String START_WALK = "Accelerate";

	// static final String CONTINUE_WALK = "Balance";

	// static final String CONTINUE_RUN = "Balance";

	// static final String CONTINUE_WALK_RIGHT = "continueWalkRight";

	// static final String CONTINUE_WALK_LEFT = "continueWalkLeft";

	// static final String STOP_WALK = "Deccelerate";

	static final String SHOOT_TO_GOAL = "shootToGoal";

	// static final String GET_READY_PRIMITIVE = "getReadyPrimitive";

	// static final String RUN_TO_BALL = "runToBall";

	static final String PASSIVE_POSITIONING = "passivePositioning";

	// static final String STEP_FORWARD = "stepFront";

	// static final String STEP_BACKWARD = "stepBack";

	// static final String STEP_LEFT = "stepLeft";

	// static final String STEP_RIGHT = "stepRight";

	// static final String SIDE_STEP = "sideStep";

	static final String LOOK_DOWN = "lookDown";

	static final String GET_IN_SCORE_POSITION = "getInScorePosition";

	static final String DRIBBLE_BALL = "dribbleBall";

	static final String FALL_ON_SIDE = "fallOnSide";

	// static final String GOALIE_BEHAVIOR = "goalieBehavior";

	// static final String INWARD_TURN_LEFT45 = "inwardTurnLeft45";
	//
	// static final String INWARD_TURN_LEFT60 = "inwardTurnLeft60";
	//
	// static final String INWARD_TURN_RIGHT45 = "inwardTurnRight45";
	//
	// static final String INWARD_TURN_RIGHT60 = "inwardTurnRight60";

}
