/*******************************************************************************
 * Copyright 2008, 2011 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package magma.agent.behavior.positioning.model;

import java.util.List;

import magma.agent.worldmodel.IGlobalMap;

import org.apache.commons.math.geometry.Vector3D;

public interface IRole
{
	public String getRoleName();

	public Vector3D getPositionData(IGlobalMap worldModel);

	public IRule getRule();

	public void setRule(IRule rule);

	public void setRuleName(String ruleName);

	public void setShift(List<Double> shift);

	public void setDefPos(List<Double> defPos);

	public void setActionArea(List<Double> actionArea);

	public void setReferenceObject(int num, IReferenceObject referenceObject);
}
