/*******************************************************************************
 * Copyright 2008, 2011 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package magma.agent.behavior.positioning.xml;

import magma.agent.behavior.positioning.model.impl.Strategy;

/**
 * Interface IXMLRead<br>
 * Is extended by the interface IXMLWrtie.java and because of that implemented
 * by the class XMLFactory.java.<br>
 * Enables access to the method readXML(), which is implemented by the class
 * XMLFactory.java.
 * 
 * @author Denis Zimmermann
 */
public interface IXMLRead
{
	/**
	 * Function readXML()<br>
	 * Reads a strategy in form of a XML-file and creates the appropriate
	 * objects.
	 * 
	 * @param dest location of the XML-file
	 * @return Strategy appropriate objects
	 */
	public Strategy readXML(String dest);
}
