/*******************************************************************************
 * Copyright 2008, 2011 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package magma.agent.belief.impl;

import magma.agent.agentmodel.IAgentModel;
import magma.agent.worldmodel.GameState;
import magma.agent.worldmodel.IGlobalMap;

/**
 * GameState belief
 * 
 * @author Stefan Glaser
 */
public class GameStateBelief extends Belief
{
	private final GameState gameState;

	/**
	 * Constructor
	 * 
	 * @param name Belief name
	 * @param agentModel Agent model reference
	 * @param worldModel World model reference
	 * @param gameState Current GameState
	 */
	public GameStateBelief(String name, IAgentModel agentModel,
			IGlobalMap worldModel, GameState gameState)
	{
		super(name, agentModel, worldModel);
		this.gameState = gameState;
	}

	@Override
	public float getTruthValue()
	{
		return worldModel.getGameState() == gameState ? 1f : 0f;
	}
}
