/*******************************************************************************
 * Copyright 2008, 2011 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package magma.agent.belief.impl;

import magma.agent.agentmodel.IAgentModel;
import magma.agent.belief.IBeliefConstants;
import magma.agent.worldmodel.GameState;
import magma.agent.worldmodel.IGlobalMap;

/**
 * @author ischindl
 * 
 */
public class Lose extends Belief
{
	/**
	 * Constructor
	 * 
	 * @param agentModel Reference to the agent model object
	 * @param worldModel Reference to the world model object
	 */
	public Lose(IAgentModel agentModel, IGlobalMap worldModel)
	{
		super(IBeliefConstants.LOOSE, agentModel, worldModel);

	}

	@Override
	public float getTruthValue()
	{
		GameState gameState = worldModel.getGameState();
		if (gameState == GameState.GAME_OVER) {
			if (worldModel.getGoalsTheyScored() > worldModel.getGoalsWeScored()) {
				return 1.0f;
			}
		}
		return 0;
	}

}
