/*******************************************************************************
 * Copyright 2008, 2011 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package magma.agent.meta.agent;

import java.util.List;

public interface IAgentMetaModel
{
	/**
	 * Returns the corresponding action scene string, to the given meta model.
	 * 
	 * @return the scene-string
	 */
	public String getSceneString();

	/**
	 * Returns a list of body part configurations, specifying the different body
	 * parts of the agent and their related sensors/effectors.
	 * 
	 * @return the list of body part configurations
	 */
	public List<IBodyPartConfiguration> getBodyPartConfiguration();

	/**
	 * Returns the name of the body part containing the camera. This method is
	 * used to dynamically relate the vision to the system of the root-body.
	 * 
	 * @return the name of the body part containing the camera
	 */
	public String getNameOfCameraBodyPart();
}
