/*******************************************************************************
 * Copyright 2008, 2011 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package magma.agent.meta.agent.impl;

import javax.vecmath.Vector3d;

import magma.agent.meta.agent.IHingeJointConfiguration;

public class HingeJointConfiguration implements IHingeJointConfiguration
{
	private final String name;

	private final String perceptorName;

	private final String effectorName;

	private final Vector3d jointAxis;

	private final int minAngle;

	private final int maxAngle;

	private final float maxSpeed;

	public HingeJointConfiguration(String name, String perceptorName,
			String effectorName, Vector3d jointAxis, int jointMinAngle,
			int jointMaxAngle, float jointMaxSpeed)
	{
		this.name = name;
		this.perceptorName = perceptorName;
		this.effectorName = effectorName;
		this.jointAxis = jointAxis;
		this.minAngle = jointMinAngle;
		this.maxAngle = jointMaxAngle;
		this.maxSpeed = jointMaxSpeed;
	}

	@Override
	public String getName()
	{
		return name;
	}

	@Override
	public String getPerceptorName()
	{
		return perceptorName;
	}

	@Override
	public String getEffectorName()
	{
		return effectorName;
	}

	@Override
	public Vector3d getJointAxis()
	{
		return jointAxis;
	}

	@Override
	public int getMinAngle()
	{
		return minAngle;
	}

	@Override
	public int getMaxAngle()
	{
		return maxAngle;
	}

	@Override
	public float getMaxSpeed()
	{
		return maxSpeed;
	}
}
