/*******************************************************************************
 * Copyright 2008, 2011 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package magma.agent.worldmodel.localizer;

import org.apache.commons.math.geometry.Vector3D;

/**
 * Reference point that can be used for localization.
 * 
 * @author Stefan Glaser
 * 
 */
public interface IReferencePoint extends Comparable<IReferencePoint>
{
	/**
	 * @return the observed position under which we see the reference point
	 *         (relative to the root body)
	 */
	Vector3D getLocalPosition();

	/**
	 * @return the position at which we know the reference point is located
	 */
	Vector3D getKnownPosition();

	/**
	 * @return indicates, if the reference point is currently visible (position
	 *         is up to date)
	 */
	boolean isVisible();
}