/*******************************************************************************
 * Copyright 2008, 2011 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package magma.robots.nao;

public interface INaoConstants
{
	// Measured/Learned constants
	/** The maximum distance we are able to kick */
	public static final float KICKABLE_DISTANCE = 4.6f;

	// General constants
	public static final String ACTION_SCENE = "rsg/agent/nao/nao.rsg";

	public static final float MAX_JOINT_SPEED = 7.03f;

	public static final float PLAYER_HEIGHT = 0.6531f;

	// Joint constants
	public static final String NeckYaw = "NeckYaw";

	public static final String NeckPitch = "NeckPitch";

	public static final String RShoulderPitch = "RShoulderPitch";

	public static final String LShoulderPitch = "LShoulderPitch";

	public static final String RShoulderYaw = "RShoulderYaw";

	public static final String LShoulderYaw = "LShoulderYaw";

	public static final String RArmRoll = "RArmRoll";

	public static final String LArmRoll = "LArmRoll";

	public static final String RArmYaw = "RArmYaw";

	public static final String LArmYaw = "LArmYaw";

	public static final String RHipYawPitch = "RHipYawPitch";

	public static final String LHipYawPitch = "LHipYawPitch";

	public static final String RHipRoll = "RHipRoll";

	public static final String LHipRoll = "LHipRoll";

	public static final String RHipPitch = "RHipPitch";

	public static final String LHipPitch = "LHipPitch";

	public static final String RKneePitch = "RKneePitch";

	public static final String LKneePitch = "LKneePitch";

	public static final String RFootPitch = "RFootPitch";

	public static final String LFootPitch = "LFootPitch";

	public static final String RFootRoll = "RFootRoll";

	public static final String LFootRoll = "LFootRoll";

	// Body part constants
	public static final String Torso = "torso";

	public static final String Head = "head";

	public static final String Neck = "neck";

	public static final String RShoulder = "rshoulder";

	public static final String RUpperArm = "rupperarm";

	public static final String RElbow = "relbow";

	public static final String RLowerArm = "rlowerarm";

	public static final String LShoulder = "lshoulder";

	public static final String LUpperArm = "lupperarm";

	public static final String LElbow = "lelbow";

	public static final String LLowerArm = "llowerarm";

	public static final String RHip1 = "rhip1";

	public static final String RHip2 = "rhip2";

	public static final String RThight = "rthight";

	public static final String RShank = "rshank";

	public static final String RAnkle = "rankle";

	public static final String RFoot = "rfoot";

	public static final String LHip1 = "lhip1";

	public static final String LHip2 = "lhip2";

	public static final String LThight = "lthight";

	public static final String LShank = "lshank";

	public static final String LAnkle = "lankle";

	public static final String LFoot = "lfoot";

	// GyroRate constants
	public static final String TorsoGyro = "TorsoGyro";

	// Accelerometer constants
	public static final String TorsoAccelerometer = "TorsoAccel";

	// ForceResistance constants
	public static final String RFootForce = "RFootForce";

	public static final String LFootForce = "LFootForce";
}
